import QtQuick                  2.3
import QtQuick.Controls         1.2
import QtQuick.Controls.Styles  1.4
import QtQuick.Dialogs          1.2
import QtLocation               5.3
import QtPositioning            5.3
import QtQuick.Layouts          1.2

import QGroundControl               1.0
import QGroundControl.ScreenTools   1.0
import QGroundControl.Controls      1.0
import QGroundControl.Palette       1.0
import QGroundControl.Vehicle       1.0
import QGroundControl.FlightMap     1.0
import QGroundControl.Airspace      1.0
import QGroundControl.Airmap        1.0

Item {
    id: _root

    property var wimaController // must be provided by the user

    // box containing all items
    Rectangle {
        anchors.left:   parent.left
        anchors.bottom: parent.bottom
        height:         enableWima.checked ? parent.height : enableWima.height
        width:          enableWima.checked ? parent.width : enableWima.width
        color:      "black"

        // checkbox to enable/ disable wima
        QGCCheckBox {
            id: enableWima
            checked: true
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            text: qsTr("WiMA")
        }

        // horizonal line
        Rectangle {
            id: horizontalLine
            anchors.left:           parent.left
            anchors.right:          parent.right
            anchors.top:            enableWima.bottom
            anchors.leftMargin:     ScreenTools.defaultFontPixelHeight * 0.5
            anchors.rightMargin:    ScreenTools.defaultFontPixelHeight * 0.5
            anchors.topMargin:      ScreenTools.defaultFontPixelHeight * 0.25
            height:                 1

            color: "white"
        }

        ColumnLayout {
            id : mainColumn
            anchors.left:           parent.left
            anchors.right:          parent.right
            anchors.top:            horizontalLine.bottom
            anchors.bottom:         parent.bottom
            anchors.topMargin:      ScreenTools.defaultFontPixelHeight * 0.5
            anchors.bottomMargin:   ScreenTools.defaultFontPixelHeight * 0.5
            anchors.rightMargin:    ScreenTools.defaultFontPixelHeight * 0.5
            anchors.leftMargin:     ScreenTools.defaultFontPixelHeight * 0.5
            spacing:                ScreenTools.defaultFontPixelHeight * 0.5

            QGCButton {
                id: buttonNextMissionPhase
                text: "Next Phase"
                onClicked: wimaController.nextPhase();
            }

            QGCButton {
                id: buttonResetPhase
                text: "Reset Phase"
                onClicked: wimaController.resetPhase();
            }

            QGCButton {
                id: buttonUpload
                text: "Upload"
                onClicked: wimaController.uploadToVehicle();
            }
        }


    }
}
